mui.init();
mui.plusReady(function() {
	var stage = 0;
	var affairId = osg.param("affairId");
	var muiTableViewCell = $("#pullrefresh .mui-table-view-cell"),
		muiTableViewCell2 = $("#bmpullrefresh .mui-table-view-cell"),
		page1 = 0,
		page2 = 0,
		fileIds = new Array(),// 文件id
		images = new Array();// 要上传的图片
	muiTableViewCell.remove();
	muiTableViewCell2.remove();
	
	//当前格式化时间
	function getNowFormatDate() {
	    var date = new Date();
	    var seperator1 = "-";
	    var seperator2 = ":";
	    var month = date.getMonth() + 1;
	    var strDate = date.getDate();
	    if (month >= 1 && month <= 9) {
	        month = "0" + month;
	    }
	    if (strDate >= 0 && strDate <= 9) {
	        strDate = "0" + strDate;
	    }
	    var currentdate = date.getFullYear() + seperator1 + month + seperator1 + strDate
	            + " " + date.getHours() + seperator2 + date.getMinutes()
	            + seperator2 + date.getSeconds();
	    return currentdate;
	}
	//获取当前用户信息
	var user = osg.currentUser();
	//获取当前用户权限
	var moduleCode = osg.param("moduleCode");
	//用户是否有管理员权限判断
	var power = false;
	osg.ajax('user/myfunction', {
	}, function(data) {
		if(data.userrole[moduleCode]==moduleCode){
			power=true;
		}
		progressFun (affairId);
	});
	
	//上传
	$(".addPicture").off('tap').on('tap', function(e) {
		var parentList = $(this).parents(".imgList");
		if(mui.os.plus) {　　
			var a = [{　　
				title: "拍照" //这些都是可以点击的选项的内容
			}, {
				title: "从手机相册选择"
			}];
			//a.splice(1,1);
			plus.nativeUI.actionSheet({　　
				//title: "修改用户头像", //这里就是这个弹窗的title
				cancel: "取消", //取消按钮
				buttons: a
			}, function(event) { /*actionSheet 按钮点击事件*/ 　　
				var index = event.index;
				switch(index) {
					case 1:
						// 拍照
						osg.uploadPictureFromCamera(10, function(url) {
							parentList.append('<li class="imgItem" ><img src="' + url + '"></li>');
						});
						break;
					case 2:
						// 选择图片
						osg.pickFileUpload(10, function(url) {
							parentList.append('<li class="imgItem" ><img src="' + url + '"></li>');
						});
						break;
				}
			})
		}
	});
	
	//回显内容
	function imgListFun(data,elem,nullelem){
		if (data) {
			elem.html('<li class="imgItem"><img style="opacity: 0.1;" class="addPicture" src="../../../images/addPic.png"></li>');
			$.each(data, function(key,value) {
				elem.append('<li class="imgItem"><img src="' + (qiniuRoot + value) + '" alt="图片加载失败"></li>');
			});
		} else {
			elem.html("无上传图片.")
		}
	}
	function blockFun(state,datas){
		var data = datas.data;
		$(".fqBox").remove();
		if (data[0]!=null&&data[0]!=undefined) {
			$(".zhucontent").prepend('<div class="mui-input-row fqBox"><div class="titleBox"><i class="title_i">*</i><span class="launch-title">提出人：</span></div><div id="title" class="login-rect"><div>'+datas.entity.applyUserName+'</div></div></div>');
			$("#titleText").val(data[0][0].title);
			$("#aboutBox").html("<div>" + data[0][0].content + "</div>");
			$("#applyAdress").val(datas.entity.applyAdress);
			$("#applyPhone").val(datas.entity.applyPhone);
			imgListFun(data[0][0].imageIds,$('.imgList:eq(0)'),$('.imgNull:eq(0)'));
			if (data[2]!=null&&data[2]!=undefined) {
				imgListFun(data[2][0].imageIds,$('.imgList:eq(1)'),$('.imgNull:eq(1)'));
				$("#result").val(data[2][0].adress);
				$("#handlingOpinionsBox").html("<div>" + data[2][0].content + "</div>");
				if (data[2][1]) {
					$(".fankui2Box").html("<div>" + data[2][1].content + "</div>");
				}
			}
		}
	}
	function pickerFun2(page,parme){
		osg.ajax("/user/query",{
			"regex:name": $(".userListSearch").val(),
			"page": page
		},function(datas){
			var data = datas.data;
			if (data.length>0) {
				$.each(data, function(key,value) {
					var muiTableViewCells = muiTableViewCell.clone().css("display","").attr("_id",value._id);
					muiTableViewCells.find(".userName").text(value.name);
					muiTableViewCells.find(".userBumen").text(value.bumenName);
					muiTableViewCells.off("tap").on("tap",function(){
						$(".userList").fadeOut(500);
						$("#peopleName").attr("_id",$(this).attr("_id")).val($(this).find(".userName").text());
					});
					$(".userList .mui-table-view").append(muiTableViewCells);
//					$(".mui-table-view li:first").addClass("mui-selected");
				});
			}
			parme.self.endPullUpToRefresh(datas.page >= datas.pages);
		});
	}
	function pickerFun4(page,parme){
		osg.ajax("/manage/bumen/query",{
			"valid|integer": 1,
			"regex:name": $(".bumenListSearch").val(),
			"page": page
		},function(datas){
			var data = datas.data;
			if (data.length>0) {
				$.each(data, function(key,value) {
					var muiTableViewCells = muiTableViewCell2.clone().css("display","").attr("_id",value._id);
					muiTableViewCells.find(".bumenName").text(value.name);
					muiTableViewCells.off("tap").on("tap",function(){
						$(".bumenList").fadeOut(500);
						$("#bumenNameinp").attr("_id",$(this).attr("_id")).val($(this).find(".bumenName").text());
					});
					$(".bumenList .mui-table-view").append(muiTableViewCells);
//					$(".mui-table-view li:first").addClass("mui-selected");
				});
			}
			parme.self.endPullUpToRefresh(datas.page >= datas.pages);
		});
	}
	function pickerFun1(){
		osg.ajax("/app/affair/option/findNowOption",{
			"moduleCode": moduleCode,
		},function(data){
			var data = data.data,picker=[];
			if (data.length>0) {
				$.each(data, function(key,value) {
					var pickerObj = {};
					pickerObj["value"] = value._id;
					pickerObj["text"] = value.formatOptime;
					pickerObj["data"] = value;
					picker.push(pickerObj);
				});
			}
		});
	}
	function pickerFun3(){
		osg.ajax("/app/role/findRoles",{},function(data){
			var data = data.data,picker1=[];
			if (data.length>0) {
				$.each(data, function(key,value) {
					var pickerObj = {};
					pickerObj["value"] = value._id;
					pickerObj["text"] = value.name;
					pickerObj["data"] = value;
					picker1.push(pickerObj);
				});
			}
			selectFun(picker1,document.getElementById("userSelect"));
		});
	}
	//提交
	$("#publish1").off("tap").on("tap",function(){
		imgarrFun($('.imgList:eq(0) img'));
		upsertFun({
			"stage": stage,
			"moduleCode": moduleCode,
			"state": 2,
			"nextState": 2,
			"title": $("#titleText").val(),
			"content":  $("#about").val(),
			"applyAdress": $("#applyAdress").val(),
			"applyPhone": $("#applyPhone").val()
		});
	});
	$("#publish4").off("tap").on("tap",function(){
		imgarrFun($('.imgList:eq(1) img'));
		upsertFun({
			"_id": affairId,
			"stage": stage,
			"moduleCode": moduleCode,
			"state": 3,
			"nextState": 3,
			"adress": $("#result").val(),
			"content": $("#handlingOpinions").val(),
			"startTime": getNowFormatDate()
		});
	});
	function imgarrFun (elem) {
		elem.each(function(index, element) {
			if(index == 0) {
				return;
			}
			var that = $(element);
			images.push(that.attr("src"));
		});
	}
	function boolFun(data){
		var bool = true;
		$.each(data, function(key,value) {
			if (key == "imageIdStr") {
				bool = true;
			} else if (value === '' || value === null) {
				bool = false;
			}
		});
		return bool;
	}
	function upsertFun(data){
		// 上传图片
		osg.uploadFiles(images, "false", "square", function(imageIds) {
			fileIds.push.apply(fileIds, imageIds);
			data.imageIdStr = fileIds.join(",");
			if (boolFun(data)) {
				osg.ajax("app/affair/upsert",data,function(data){
					affairId = data.entity._id;
					progressFun (data.entity._id);
					images = [];
					fileIds = [];
				});
			} else {
				alert("请将内容填写完整后，在进行提交！");
				fileIds = [];
			}
		});
		
	}
	//选择列表
	function selectFun(data,element){
		var userPicker = new mui.PopPicker();
		userPicker.setData(data);
		element.addEventListener("tap",function(){
			userPicker.show(function(items) {
				$(element).val(items[0].text).attr("_id",items[0].value);
			});
		},false);
	}
	//时间插件调用
	function pickerTimeFun(btns){
		btns.each(function(i, btn) {
			btn.addEventListener('tap', function() {
				var _self = this;
				if(_self.picker) {
					_self.picker.show(function(rs) {
						$(btn).val(rs.text);
						_self.picker.dispose();
						_self.picker = null;
					});
				} else {
					var optionsJson = this.getAttribute('data-options') || '{}';
					var options = JSON.parse(optionsJson);
					var id = this.getAttribute('id');
					_self.picker = new mui.DtPicker(options);
					_self.picker.show(function(rs) {
						$(btn).val(rs.text);
						_self.picker.dispose();
						_self.picker = null;
					});
				}
	
			}, false);
		});
	}
	//进度控制
	function progressFun (affairId) {
		if (affairId) {
			osg.ajax("app/affair/fidAffair",{
				"affairId": affairId
			},function(data){
				stage = data.entity.state;
				blockFun(data.entity.state,data);
				if (data.entity.state == 2) {
					$(".sectionBox:eq(0) input,.sectionBox:eq(0) textarea").attr("readonly","readonly");
					$(".sectionBox:eq(0)").addClass("actives").css({"display":"flex"});
					$(".sectionBox:eq(1)").css({"display":"flex"});
					//判断当前用户是否有管理员权限
					if(power){
						
					}else{
						$(".sectionBox:eq(2) .content_con").html("待事项办结后反馈信息!");
					}
				} else if (data.entity.state == 3 || data.entity.state == 1) {
					$(".sectionBox:eq(0) input,.sectionBox:eq(0) textarea").attr("readonly","readonly");
					$(".sectionBox:eq(1) input,.sectionBox:eq(1) textarea").attr("readonly","readonly");
					$(".sectionBox:eq(0)").addClass("actives").css({"display":"flex"});
					$(".sectionBox:eq(1)").addClass("actives").addClass("endactives").css({"display":"flex"});
					if (data.entity.state == 1) {
						$(".sectionBox:eq(1)").removeClass("endactives");
						$(".sectionBox:eq(2)").addClass("actives").addClass("endactives").css({"display":"flex"});
					}
					$(".yjfk2").css("display","flex");
					if (user._id == data.entity.applyUserId) {
						var data = data.data;
						if (data[2][1]) {
							$(".fankui2Box").html("<div>" + data[2][1].content + "</div>");
						} else {
							document.getElementById("fankui2").addEventListener('tap', function(e) {
								e.detail.gesture.preventDefault();
								var btnArray = ['取消', '确定'];
								mui.prompt('请输入您的反馈意见：', '', '', btnArray, function(e) {
									if (e.index == 1) {
										if (e.value !== '') {
											upsertFun({
												"_id": affairId,
												"moduleCode": moduleCode,
												"stage": 2,
												"content": e.value,
												"state": 1
											});
										} else {
											osg.toast("意见内容不可为空！");
										}
									} else {
								
									}
								})
							});
						}
					}
				}
			});
		} else {
			pickerFun1();
			$(".sectionBox:eq(0)").css({"display":"flex"});
		}
	}
});